# Messenger Profile API



The Messenger Profile for your Page is where you set properties that define various aspects of the following Messenger Platform features. For more information, see the [Messenger Profile Properties](#profile_properties) table below.

* [Get Started Button](https://developers.facebook.com/documentation/business-messaging/messenger-platform/discovery/welcome-screen)
* [Welcome Page](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/greeting)
* [Ice Breakers](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/ice-breakers)
* [Persistent Menu](https://developers.facebook.com/documentation/business-messaging/messenger-platform/send-messages/persistent-menu)
* [Domain allowlist](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/domain-whitelisting)
* [Account Linking](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/account-linking-url)
* [Commands](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/commands)

The Messenger Profile API allows you to set, update, retrieve, and delete properties from the Page Messenger Profile.

## Permissions &#123;#permissions&#125;

A page access token with `pages_messaging` permission is required to interact with this endpoint.

Apps in Development Mode, the Messenger Profile settings will only be visible to people with role on the app.

## Request URI

```
https://graph.facebook.com/v25.0/me/messenger_profile?access_token=&lt;PAGE_ACCESS_TOKEN&gt;
```

## Messenger Profile Properties &#123;#profile_properties&#125;

The following properties may be included in the Messenger profile for your Page. See descriptions in the table below for the type and purpose of each property.

| Property | Type | Description |
| --- | --- | --- |
| `get_started` | Object | The payload that will be sent as a `messaging_postbacks` event when someone taps the &#039;get started&#039; button on your Page Messenger welcome screen.&lt;br&gt;&lt;br&gt;For more, see [Get Started Button Reference](https://developers.facebook.com/documentation/business-messaging/messenger-platform/discovery/welcome-screen). |
| `greeting` | Array&lt;Object&gt;&lt;br&gt; | An array of locale-specific greeting messages to display on your Page Messenger welcome screen.&lt;br&gt;&lt;br&gt;For more, see [Greeting Text Reference](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/greeting). |
| `ice_breakers` | Array&lt;Object&gt;&lt;br&gt; | An array with an ice breaker object.&lt;br&gt;&lt;br&gt;For more, see [Ice Breakers Reference](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/ice-breakers). |
| `persistent_menu` | Array&lt;Object&gt;&lt;br&gt; | An array of call-to-action buttons to include in the persistent menu.&lt;br&gt;&lt;br&gt;For more, see [Persistent Menu Reference](https://developers.facebook.com/documentation/business-messaging/messenger-platform/send-messages/persistent-menu). |
| `whitelisted_domains` | Array&lt;String&gt;&lt;br&gt; | A list of allowlisted domains. Required for Pages that use the [Messenger Extensions SDK](https://developers.facebook.com/documentation/business-messaging/messenger-platform/webview/extensions) and the [checkbox plugin](https://developers.facebook.com/documentation/business-messaging/messenger-platform/discovery).&lt;br&gt;&lt;br&gt;For more, see [Domain Allowlist Reference](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/domain-whitelisting). |
| `account_linking_url` | String | Authentication callback URL. Must use https protocol.&lt;br&gt;&lt;br&gt;For more, see [Account Linking URL Reference](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/account-linking-url). |
| `commands` | Array&lt;Object&gt;&lt;br&gt; | Optional argument. If provided, it cannot be null.&lt;br&gt;&lt;br&gt;For more, see [Commands Reference](https://developers.facebook.com/documentation/business-messaging/messenger-platform/reference/messenger-profile-api/commands). |
| `subject_to_new_eu_privacy_rules` | Boolean | A boolean flag that determines whether the page is impacted by the [Messenger API Updates for Europe](https://developers.facebook.com/documentation/business-messaging/messenger-platform/europe-japan-updates). This property is only available for `GET` request. |

## Retrieve Properties &#123;#get&#125;
Retrieves the current value of one or more [Messenger Profile properties](#profile_properties) by name.

### Request Parameters
The following parameters are included in the query string of the request:
| Parameter | Description |
| --- | --- |
| fields | A comma-separated list of [Messenger Profile properties](#profile_properties) to retrieve. |

### Example Request

```
curl -X GET &quot;https://graph.facebook.com/v25.0/me/messenger_profile?fields=whitelisted_domains,greeting&amp;access_token=&lt;PAGE_ACCESS_TOKEN&gt;&quot;
```

### Example Response
The current value of the requested properties will be returned in the `data` array:

```curl
&#123;
   &quot;data&quot;: [
        &#123;
          &quot;whitelisted_domains&quot;: [
            &quot;https://facebook.com/&quot;
          ],
          &quot;greeting&quot;: [
            &#123;
               &quot;locale&quot;: &quot;default&quot;,
               &quot;text&quot;: &quot;Hello!&quot;
            &#125;,
            &#123;
               &quot;locale&quot;: &quot;en_US&quot;,
               &quot;text&quot;: &quot;Timeless apparel for the masses.&quot;
            &#125;
         ]
      &#125;
   ]
&#125;
```

## Set/Update Properties &#123;#post&#125;
Sets the values of one or more [Messenger Profile properties](#profile_properties). Only properties set in the request body will be overwritten.

### Example Request

```curl
curl -X POST -H &quot;Content-Type: application/json&quot; -d &#039;&#123;
  &quot;&lt;PROPERTY_NAME&gt;&quot;: &quot;&lt;NEW_PROPERTY_VALUE&gt;&quot;,
  &quot;&lt;PROPERTY_NAME&gt;&quot;: &quot;&lt;NEW_PROPERTY_VALUE&gt;&quot;,
  ...
&#125;&#039; &quot;https://graph.facebook.com/v25.0/me/messenger_profile?access_token=&lt;PAGE_ACCESS_TOKEN&gt;&quot;
```

### Example Response

```json
&#123;
    &quot;result&quot;: &quot;success&quot;
&#125;
```

## Delete Properties &#123;#delete&#125;
Deletes one or more [Messenger Profile properties](#profile_properties). Only properties specified in the `fields` array will be deleted.

### Example Request

```
curl -X DELETE -H &quot;Content-Type: application/json&quot; -d &#039;&#123;
  &quot;fields&quot;: [
    &quot;&lt;PROPERTY_NAME&gt;&quot;,
    &quot;&lt;PROPERTY_NAME&gt;&quot;,
    &quot;&lt;PROPERTY_NAME&gt;&quot;,
    ...
  ]
&#125;&#039; &quot;https://graph.facebook.com/v25.0/me/messenger_profile?access_token=&lt;PAGE_ACCESS_TOKEN&gt;&quot;
```

### Example Response

```json
&#123;
    &quot;result&quot;: &quot;success&quot;
&#125;
```

## Rate Limit &#123;#rate_limit&#125;
Calls to the Messenger Profile API are limited to 10 API calls per 10 minute interval. This rate limit is enforced per Page.

